## org.eclipse.emf.ecore
Interface EPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, Notifier

All Known Subinterfaces:
  ChangePackage, Ecore2EcorePackage, Ecore2XMLPackage, EcorePackage, GenModelPackage, MappingPackage, TreePackage, XMLNamespacePackage, XMLTypePackage

All Known Implementing Classes:
  ChangePackageImpl, Ecore2EcorePackageImpl, Ecore2XMLPackageImpl, EcorePackageImpl, EPackageImpl, GenModelPackageImpl, MappingPackageImpl, TreePackageImpl, XMLNamespacePackageImpl, XMLTypePackageImpl

    public interface EPackage

extends ENamedElement

A representation of the model object 'EPackage'.

The following features are supported:

- `Ns URI`
- `Ns Prefix`
- `EFactory Instance`
- `EClassifiers`
- `ESubpackages`
- `ESuper Package`

See Also:
  `EcorePackage.getEPackage()`

Nested Class Summary
`static interface` `EPackage.Descriptor` An `EPackage` wrapper that is used by the `EPackage.Registry`.
`static interface` `EPackage.Registry` A map from `namespace URI` to `EPackage`.

Method Summary
`EClassifier` `getEClassifier(java.lang.String name)` Returns the classifier with the given name.
`EList<EClassifier>` `getEClassifiers()` Returns the value of the 'EClassifiers' containment reference list.
`EFactory` `getEFactoryInstance()` Returns the value of the 'EFactory Instance' reference.
`EList<EPackage>` `getESubpackages()` Returns the value of the 'ESubpackages' containment reference list.
`EPackage` `getESuperPackage()` Returns the value of the 'ESuper Package' container reference.
`java.lang.String` `getNsPrefix()` Returns the value of the 'Ns Prefix' attribute
`java.lang.String` `getNsURI()` Returns the value of the 'Ns URI' attribute
`void` `setEFactoryInstance(EFactory value)` Sets the value of the '`EFactory Instance`' reference
`void` `setNsPrefix(java.lang.String value)` Sets the value of the '`Ns Prefix`' attribute
`void` `setNsURI(java.lang.String value)` Sets the value of the '`Ns URI`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNsURI

    java.lang.String getNsURI()

  Returns the value of the 'Ns URI' attribute.

  It represents the namespace URI, i.e., a universally unique identification of a particular package, much like an XML Schema target namespace. It will be used in an XMI serialization. It is typically registered with the `global` package registry.

  Returns:
    the value of the 'Ns URI' attribute.
  See Also:
    `EPackage.Registry.INSTANCE`, `setNsURI(String)`, `EcorePackage.getEPackage_NsURI()`

### setNsURI

    void setNsURI(java.lang.String value)

  Sets the value of the '`Ns URI`' attribute.

  Parameters:
    `value` - the new value of the 'Ns URI' attribute.
  See Also:
    `getNsURI()`

### getNsPrefix

    java.lang.String getNsPrefix()

  Returns the value of the 'Ns Prefix' attribute.

  It represents the preferred XMLNS prefix to be used for this package's the `namespace URI`. It will be used in an XMI serialization.

  Returns:
    the value of the 'Ns Prefix' attribute.
  See Also:
    `setNsPrefix(String)`, `EcorePackage.getEPackage_NsPrefix()`

### setNsPrefix

    void setNsPrefix(java.lang.String value)

  Sets the value of the '`Ns Prefix`' attribute.

  Parameters:
    `value` - the new value of the 'Ns Prefix' attribute.
  See Also:
    `getNsPrefix()`

### getEFactoryInstance

    EFactory getEFactoryInstance()

  Returns the value of the 'EFactory Instance' reference. It is bidirectional and its opposite is '`EPackage`'.

  It this package's factory for creating modeled object instances.

  Returns:
    the value of the 'EFactory Instance' reference.
  See Also:
    `setEFactoryInstance(EFactory)`, `EcorePackage.getEPackage_EFactoryInstance()`, `EFactory.getEPackage()`

### setEFactoryInstance

    void setEFactoryInstance(EFactory value)

  Sets the value of the '`EFactory Instance`' reference.

  Parameters:
    `value` - the new value of the 'EFactory Instance' reference.
  See Also:
    `getEFactoryInstance()`

### getEClassifiers

    EList<EClassifier> getEClassifiers()

  Returns the value of the 'EClassifiers' containment reference list. The list contents are of type `EClassifier`. It is bidirectional and its opposite is '`EPackage`'.

  It represents the meta objects, i.e., classes and data types, defined in this package.

  Returns:
    the value of the 'EClassifiers' containment reference list.
  See Also:
    `EcorePackage.getEPackage_EClassifiers()`, `EClassifier.getEPackage()`

### getESubpackages

    EList<EPackage> getESubpackages()

  Returns the value of the 'ESubpackages' containment reference list. The list contents are of type `EPackage`. It is bidirectional and its opposite is '`ESuper Package`'.

  It represents the nested packages contained by this package.

  Returns:
    the value of the 'ESubpackages' containment reference list.
  See Also:
    `EcorePackage.getEPackage_ESubpackages()`, `getESuperPackage()`

### getESuperPackage

    EPackage getESuperPackage()

  Returns the value of the 'ESuper Package' container reference. It is bidirectional and its opposite is '`ESubpackages`'.

  It represents the containing package of this package.

  Returns:
    the value of the 'ESuper Package' container reference.
  See Also:
    `EcorePackage.getEPackage_ESuperPackage()`, `getESubpackages()`

### getEClassifier

    EClassifier getEClassifier(java.lang.String name)

  Returns the classifier with the given name.

  Parameters:
    `name` - the name in question.
  Returns:
    the classifier with the given name.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.